classification
Title: Integrate stringbench in the Tools directory
Type: enhancement Stage: resolved
Components: Demos and Tools Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Jim.Jewett, berker.peksag, haypo, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: easy

Created on 2011-10-13 15:37 by pitrou, last changed 2012-04-10 18:25 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
stringbench-diff.py serhiy.storchaka, 2012-04-09 17:56
Messages (10)
msg145457 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-10-13 15:37
The stringbench suite of micro-benchmarks, currently available through SVN at http://svn.python.org/projects/sandbox/trunk/stringbench, would probably be a reasonable addition to the Tools directory.
msg145464 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2011-10-13 15:58
Some ideas to improve stringbench:

 - test different Unicode range (stringbench tests only ASCII currently)
 - test mixing different Unicode range, e.g. ascii+latin1, UCS2.find(ascii), UCS2.replace(UCS2, UCS4), ...
 - add options to configure string lengths

Python 3.3 is now a little bit faster for pure ASCII strings. Python 3.2 is sometimes a little bit slower with non-BMP characters in narrow mode.

I expect different differents on Python 3.3 if we test different Unicode ranges.
msg151416 - (view) Author: Jim Jewett (Jim.Jewett) Date: 2012-01-16 23:32
The URL got mangled in at least my browser, so I'm repasting it on its own line:

http://svn.python.org/projects/sandbox/trunk/stringbench
msg156907 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-03-27 11:17
Please integrate stringbench into the HG repository. I will try to improve after its inclusion.
msg156909 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-03-27 11:27
What, do you mean, "please"? This is exactly what this issue is about.
msg156911 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-03-27 11:43
> What, do you mean, "please"? This is exactly what this issue is about.

I mean that it is a good idea to integrate the tool, I want it in
Python source tree! Go ahead.
msg157848 - (view) Author: Roundup Robot (python-dev) Date: 2012-04-09 15:09
New changeset 704630a9c5d5 by Antoine Pitrou in branch 'default':
Issue #13165: stringbench is now available in the Tools/stringbench folder.
http://hg.python.org/cpython/rev/704630a9c5d5
msg157871 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-04-09 17:56
I think that would be a useful tool for comparing two stringbench results. I propose an example of a script. Can use them separately or included in the stringbench.py, it's only an idea.
msg157913 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-04-09 22:30
> I think that would be a useful tool for comparing two stringbench results.

Please open a new issue for such improvement.
msg157975 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-04-10 18:25
> Please open a new issue for such improvement.

Well, I'll do it as soon as slightly improve the script.
History
Date User Action Args
2012-04-10 18:25:09serhiy.storchakasetmessages: + msg157975
2012-04-09 22:30:01hayposetmessages: + msg157913
2012-04-09 17:56:10serhiy.storchakasetfiles: + stringbench-diff.py
nosy: + serhiy.storchaka
messages: + msg157871

2012-04-09 15:12:46pitrousetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2012-04-09 15:09:47python-devsetnosy: + python-dev
messages: + msg157848
2012-03-27 11:43:53hayposetmessages: + msg156911
2012-03-27 11:27:39pitrousetmessages: + msg156909
2012-03-27 11:17:04hayposetmessages: + msg156907
2012-01-16 23:32:02Jim.Jewettsetnosy: + Jim.Jewett
messages: + msg151416
2012-01-16 21:34:41berker.peksagsetnosy: + berker.peksag
2011-10-13 15:58:17hayposetmessages: + msg145464
2011-10-13 15:37:25pitroucreate